// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
// import 'firebase_options.dart';
// await Firebase.initializeApp(
//   options: DefaultFirebaseOptions.currentPlatform,
// );
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyB0hPotq6by2uQFAEEDA7oeqsOnLEZMELY',
    appId: '1:992852276065:web:24790f759af87e88a8cb20',
    messagingSenderId: '992852276065',
    projectId: 'fluttercrud-12fb1',
    authDomain: 'fluttercrud-12fb1.firebaseapp.com',
    storageBucket: 'fluttercrud-12fb1.appspot.com',
    measurementId: 'G-706P0N1M0S',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyBcC2f6cGJkg_H6i_j463OASv8f-0QrFlw',
    appId: '1:992852276065:android:e55959181934b317a8cb20',
    messagingSenderId: '992852276065',
    projectId: 'fluttercrud-12fb1',
    storageBucket: 'fluttercrud-12fb1.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyAiSmfPgReTCEb3vCClBXW3Ibl2MU8HNxs',
    appId: '1:992852276065:ios:4e5c709a82ac04f2a8cb20',
    messagingSenderId: '992852276065',
    projectId: 'fluttercrud-12fb1',
    storageBucket: 'fluttercrud-12fb1.appspot.com',
    iosClientId: '992852276065-fl8eroljn4fsrg78jbj28oe3k3t3461p.apps.googleusercontent.com',
    iosBundleId: 'com.example.community',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyAiSmfPgReTCEb3vCClBXW3Ibl2MU8HNxs',
    appId: '1:992852276065:ios:4e5c709a82ac04f2a8cb20',
    messagingSenderId: '992852276065',
    projectId: 'fluttercrud-12fb1',
    storageBucket: 'fluttercrud-12fb1.appspot.com',
    iosClientId: '992852276065-fl8eroljn4fsrg78jbj28oe3k3t3461p.apps.googleusercontent.com',
    iosBundleId: 'com.example.community',
  );
}
